GuideLab Docs

Update exocad integration settings

Create or update the exocad integration settings including folder paths and auto-import configuration for the authenticated lab.

PUT
/integrations/exocad

Create or update the exocad integration settings including folder paths and auto-import configuration for the authenticated lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/integrations/exocad" \  -H "Content-Type: application/json" \  -d '{}'
{  "integration": {    "id": "string",    "isEnabled": true,    "config": {      "autoGenerateDentalProject": false,      "fileNamingTemplate": "{{LOCATION_NAME}}-{{ORDER_NUMBER}}",      "autoAssignEnabled": false,      "assignmentOnImportEnabled": false,      "autoAssignMode": "specific_member",      "defaultAssigneeId": null,      "roundRobinMemberIds": [],      "lastRoundRobinIndex": 0    }  }}
Empty
Empty
Empty
Empty